www/p5-HTTP-Negotiate - The NetBSD Packages Collection

Negotiate HTTP service parameters

perl5 module HTTP::Negotiate provides a complete implementation of the
HTTP content negotiation algorithm specified in
draft-ietf-http-v11-spec-00.ps chapter 12.
Content negotiation allows for the selection of a preferred content
representation based upon attributes of the negotiable variants and
the value of the various Accept* header fields in the request.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

www/p5-HTTP-Message lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 8.0earmv7hfp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 8.0earmv7hfp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 8.0i386p5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 8.0i386p5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 8.0powerpcp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 8.0powerpcp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 8.0powerpcp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 8.0powerpcp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 8.0x86_64p5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 8.0x86_64p5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0aarch64p5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0aarch64p5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0aarch64p5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0alphap5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0alphap5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0alphap5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0earmp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0earmp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0earmp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0earmv6hfp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0earmv6hfp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0earmv6hfp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0earmv7hfp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0earmv7hfp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0earmv7hfp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0earmv7hfp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0i386p5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0i386p5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0i386p5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0m68kp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0m68kp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0m68kp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0m68kp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0mips64ebp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0mips64ebp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0mips64ebp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0mips64ebp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0mips64ebp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0mipselp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0mipselp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0mipselp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0mipselp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0powerpcp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0powerpcp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0powerpcp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0powerpcp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0sh3elp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0sh3elp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0sh3elp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0sh3elp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0sh3elp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0sparc64p5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0sparc64p5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0sparc64p5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0sparcp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0sparcp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0sparcp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0sparcp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0sparcp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0vaxp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0vaxp5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0vaxp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0vaxp5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0x86_64p5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0x86_64p5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0x86_64p5-HTTP-Negotiate-6.01nb9.tgz
NetBSD 9.0x86_64p5-HTTP-Negotiate-6.01nb10.tgz
NetBSD 9.0x86_64p5-HTTP-Negotiate-6.01nb10.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.